Last Comment Bug 534565 - Port |Bug 499417 - Refactor login manager's crypto code| to SeaMonkey
: Port |Bug 499417 - Refactor login manager's crypto code| to SeaMonkey
Status: VERIFIED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 499417
Blocks: 534589
  Show dependency treegraph
 
Reported: 2009-12-13 18:29 PST by Serge Gautherie (:sgautherie)
Modified: 2009-12-16 18:06 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Fix m-c and m-1.9.2 [Checkin: Comment 8] (2.39 KB, patch)
2009-12-13 18:39 PST, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Review
(Bv1-191) Support downgrading [Checkin: Comment 9] (894 bytes, patch)
2009-12-13 18:42 PST, Serge Gautherie (:sgautherie)
kairo: approval‑seamonkey2.0.3+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-12-13 18:29:58 PST

    
Comment 1 Serge Gautherie (:sgautherie) 2009-12-13 18:39:02 PST
Created attachment 417419 [details] [diff] [review]
(Av1) Fix m-c and m-1.9.2
[Checkin: Comment 8]
Comment 2 Serge Gautherie (:sgautherie) 2009-12-13 18:42:17 PST
Created attachment 417420 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 9]
Comment 3 Justin Dolske [:Dolske] 2009-12-13 19:14:47 PST
I don't know why you're touching 1.9.1 and 1.9.2 code, bug 499417 isn't going to land there.
Comment 4 Serge Gautherie (:sgautherie) 2009-12-13 21:51:51 PST
(In reply to comment #3)

To "support downgrading": "better safe than sorry."
Comment 5 Justin Dolske [:Dolske] 2009-12-13 22:05:43 PST
I don't see what that's needed or even a good idea. But hey, it's your product, knock yourself out.
Comment 6 Robert Kaiser (not working on stability any more) 2009-12-14 06:37:41 PST
Dolske, as far as I remember, the Firefox removed-files was changed in similar ways to allow downgrading from one release to another. If that wouldn't have happened, I'd not allow such patches in SeaMonkey either, as that file is already too hard to read in any case (and it probably will still get worse over time) :(
Comment 7 Serge Gautherie (:sgautherie) 2009-12-14 07:06:29 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091214 SeaMonkey/2.1a1pre] (nightly) (W2Ksp4)
{
Failed to load XPCOM component: ...\components\crypto-SDR.js
}
And saved passwords list is empty, etc :-(
Comment 8 Serge Gautherie (:sgautherie) 2009-12-15 08:46:09 PST
Comment on attachment 417419 [details] [diff] [review]
(Av1) Fix m-c and m-1.9.2
[Checkin: Comment 8]


http://hg.mozilla.org/comm-central/rev/831b6ccab4a7
Comment 9 Serge Gautherie (:sgautherie) 2009-12-15 08:46:41 PST
Comment on attachment 417420 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 9]


http://hg.mozilla.org/releases/comm-1.9.1/rev/1cc0cd87a5f3
Comment 10 Serge Gautherie (:sgautherie) 2009-12-15 19:02:00 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091215 SeaMonkey/2.1a1pre] (nightly, 2009-12-15-10) (W2Ksp4)

V.Fixed.
Comment 11 Ruediger Lahl 2009-12-16 05:18:48 PST
(In reply to comment #10)
> SeaMonkey/2.1a1pre] (nightly, 2009-12-15-10) (W2Ksp4)
> 
> V.Fixed.

Looks like its not fixed in trunk-builds yet.
Comment 12 Serge Gautherie (:sgautherie) 2009-12-16 05:28:13 PST
(In reply to comment #11)
> Looks like its not fixed in trunk-builds yet.

Which builds specifically? (Which steps?)
Comment 13 Hartmut Figge 2009-12-16 05:39:05 PST
(In reply to comment #11)

> Looks like its not fixed in trunk-builds yet.

It is fixed in my private builds on Linux. You are using Windows NT 6.0; de-DE and i am not sure, if this is a clobber build.
Comment 14 Ruediger Lahl 2009-12-16 05:45:57 PST
(In reply to comment #12)
> (In reply to comment #11)
> > Looks like its not fixed in trunk-builds yet.
> 
> Which builds specifically? (Which steps?)

ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/tinderbox-builds/comm-central-trunk-win32/

From platform.ini:
[Build]
BuildID=20091216022627
Milestone=1.9.3a1pre
SourceStamp=f8d2c6f4631d
SourceRepository=http://hg.mozilla.org/mozilla-central
Comment 15 Serge Gautherie (:sgautherie) 2009-12-16 06:55:48 PST
(In reply to comment #14)

> ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/tinderbox-builds/comm-central-trunk-win32/

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091216 SeaMonkey/2.1a1pre] (comm-central-trunk-win32/1260970429) (W2Ksp4)

> From platform.ini:
> BuildID=20091216022627
> SourceStamp=f8d2c6f4631d
> SourceRepository=http://hg.mozilla.org/mozilla-central

application.ini:
BuildID=20091216053349
SourceRepository=http://hg.mozilla.org/comm-central
SourceStamp=d25bb34f4cce

Well, you're right that the P.M. list is empty,
but I don't see this bug error in the console:
ftb, I can only assume that this is a side-effect of one of the multiple other packaging errors our 2.1 "hourlies" still have.

NB: Don't file bugs about these errors, I'm working on fixing packaging...
Comment 16 Ruediger Lahl 2009-12-16 07:15:50 PST
(In reply to comment #15)
> Well, you're right that the P.M. list is empty,
> but I don't see this bug error in the console:

Do you look for this?
http://lahls.de/temp/pic/errorconsole.png (112KB) You may pay attentions for the first line!

> ftb, I can only assume that this is a side-effect of one of the multiple other
> packaging errors our 2.1 "hourlies" still have.

ACK.

> NB: Don't file bugs about these errors, I'm working on fixing packaging...

Sorry, I thought, the packaging was already fixed.
Comment 17 Serge Gautherie (:sgautherie) 2009-12-16 07:43:31 PST
(In reply to comment #16)

> http://lahls.de/temp/pic/errorconsole.png (112KB) You may pay attentions for
> the first line!

This nsSuiteGlue.js error comes after the packaging errors on first profile use,
then it comes alone (on my local Windows).
That's why (or anyway) I think it's better to fix the latters before looking into the former.

I have no idea why you still get crypto-SDR.js error(s).

> > NB: Don't file bugs about these errors, I'm working on fixing packaging...
> 
> Sorry, I thought, the packaging was already fixed.

Your report(s) is appreciated.
But "hourlies" are meant for developer use "only" and maybe you shouldn't bother with them (atm).
Comment 18 Serge Gautherie (:sgautherie) 2009-12-16 18:06:26 PST
(In reply to comment #17)
> it's better to fix the latters before looking into the former.

Now I've filed bug 535462.

Note You need to log in before you can comment on or make changes to this bug.